### Enumeration

# GtkInputHints

#### Declaration

    flags Gtk.InputHints

#### Description [src]

Describes hints that might be taken into account by input methods or applications.

Note that input methods may already tailor their behaviour according to the `GtkInputPurpose` of the entry.

Some common sense is expected when using these flags - mixing `GTK_INPUT_HINT_LOWERCASE` with any of the uppercase hints makes no sense.

This enumeration may be extended in the future; input methods should ignore unknown values.

#### Members

`GTK_INPUT_HINT_NONE`

  No special behaviour suggested.

  - Value: `0`
  - Nickname: `none`
  - Available since: 4.0
`GTK_INPUT_HINT_SPELLCHECK`

  Suggest checking for typos.

  - Value: `1`
  - Nickname: `spellcheck`
  - Available since: 4.0
`GTK_INPUT_HINT_NO_SPELLCHECK`

  Suggest not checking for typos.

  - Value: `2`
  - Nickname: `no-spellcheck`
  - Available since: 4.0
`GTK_INPUT_HINT_WORD_COMPLETION`

  Suggest word completion.

  - Value: `4`
  - Nickname: `word-completion`
  - Available since: 4.0
`GTK_INPUT_HINT_LOWERCASE`

  Suggest to convert all text to lowercase.

  - Value: `8`
  - Nickname: `lowercase`
  - Available since: 4.0
`GTK_INPUT_HINT_UPPERCASE_CHARS`

  Suggest to capitalize all text.

  - Value: `16`
  - Nickname: `uppercase-chars`
  - Available since: 4.0
`GTK_INPUT_HINT_UPPERCASE_WORDS`

  Suggest to capitalize the first character of each word.

  - Value: `32`
  - Nickname: `uppercase-words`
  - Available since: 4.0
`GTK_INPUT_HINT_UPPERCASE_SENTENCES`

  Suggest to capitalize the first word of each sentence.

  - Value: `64`
  - Nickname: `uppercase-sentences`
  - Available since: 4.0
`GTK_INPUT_HINT_INHIBIT_OSK`

  Suggest to not show an onscreen keyboard (e.g for a calculator that already has all the keys).

  - Value: `128`
  - Nickname: `inhibit-osk`
  - Available since: 4.0
`GTK_INPUT_HINT_VERTICAL_WRITING`

  The text is vertical.

  - Value: `256`
  - Nickname: `vertical-writing`
  - Available since: 4.0
`GTK_INPUT_HINT_EMOJI`

  Suggest offering Emoji support.

  - Value: `512`
  - Nickname: `emoji`
  - Available since: 4.0
`GTK_INPUT_HINT_NO_EMOJI`

  Suggest not offering Emoji support.

  - Value: `1024`
  - Nickname: `no-emoji`
  - Available since: 4.0
`GTK_INPUT_HINT_PRIVATE`

  Request that the input method should not update personalized data (like typing history)

  - Value: `2048`
  - Nickname: `private`
  - Available since: 4.0